
From: Ryan Anderson <ryan@michonline.com>

This pulls the description from the Debian user-mode-linux package, and
puts $version back in the appropriate places for both descriptions.

Signed-off-by: Ryan Anderson <ryan@michonline.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/scripts/package/builddeb |   28 ++++++++++++++++++++++++++--
 1 files changed, 26 insertions(+), 2 deletions(-)

diff -puN scripts/package/builddeb~uml-restore-proper-descriptions-in-make-deb-pkg-target scripts/package/builddeb
--- 25/scripts/package/builddeb~uml-restore-proper-descriptions-in-make-deb-pkg-target	2005-03-13 13:34:53.000000000 -0800
+++ 25-akpm/scripts/package/builddeb	2005-03-13 13:34:53.000000000 -0800
@@ -73,6 +73,29 @@ linux ($version) unstable; urgency=low
 EOF
 
 # Generate a control file
+if [ "$ARCH" == "um" ]; then
+
+cat <<EOF > debian/control
+Source: linux
+Section: base
+Priority: optional
+Maintainer: $name
+Standards-Version: 3.6.1
+
+Package: $packagename
+Architecture: any
+Description: User Mode Linux kernel, version $version
+ User-mode Linux is a port of the Linux kernel to its own system call
+ interface.  It provides a kind of virtual machine, which runs Linux
+ as a user process under another Linux kernel.  This is useful for
+ kernel development, sandboxes, jails, experimentation, and
+ many other things.
+ .
+ This package contains the Linux kernel, modules and corresponding other
+ files version $version
+EOF
+
+else
 cat <<EOF > debian/control
 Source: linux
 Section: base
@@ -82,10 +105,11 @@ Standards-Version: 3.6.1
 
 Package: $packagename
 Architecture: any
-Description: Linux kernel, version $packagename
+Description: Linux kernel, version $version
  This package contains the Linux kernel, modules and corresponding other
- files version $packagename
+ files version $version
 EOF
+fi
 
 # Fix some ownership and permissions
 chown -R root:root "$tmpdir"
_
